#!/bin/sh
(
cd /mnt/sdcard/wildtom
METRICS="x"
export METRICS
CORRECTIONABS=0
export CORRECTIONABS
CORRECTIONSIGN='+'
export CORRECTIONSIGN
COORDSYS='DMS'
export COORDSYS
if [ -f wildtompref ]; then
  . ./wildtompref
  ./ttdialog --msgbox "WildTom settings" "settings file read\METRICS=$METRICS\CORRECTIONABS=$CORRECTIONABS\CORRECTIONSIGN=$CORRECTIONSIGN\COORDSYS=$COORDSYS"
else
  ./ttdialog --msgbox "WildTom settings" "No settings file\creating one with defaults"
  METRICS="M"
  if [ "$COORDSYS" = "" ]; then
    COORDSYS='DMS'
  fi
fi
CHANGED=no
if [ "$METRICS" = "B" ]; then
  METRD="British"
  OTHERMETRICS="M"
else
  METRD="Metric/decimal"
  OTHERMETRICS="B"
fi
if [ "$CORRECTIONABS" = "" ]; then
  CORRECTIONABS=0
fi
if [ "$CORRECTIONSIGN" = "" ]; then
  CORRECTIONSIGN="+"
  OTHERCORRECTIONSIGN="-"
else
  if [ "$CORRECTIONSIGN" = "+" ]; then
    OTHERCORRECTIONSIGN="-"
  else
    OTHERCORRECTIONSIGN="+"
  fi
fi
if [ "$COORDSYS" = "DMS" ]; then
  COORD="DMS(deg min' sec'')"
  OTHERCOORD="UTM"
else
  COORD="UTM/Marcator"
  OTHERCOORD="DMS"
fi
./ttdialog --menubox "WildTom settings" "Change units    $METRD" "Change correct.n($CORRECTIONABS)" "Change corr.sign ($CORRECTIONSIGN)" "Change coord.sys ($COORD)"
EC=$?
if [ $EC = 1 ] ; then
  CHANGED=yes
  METRICS=$OTHERMETRICS
fi
if [ $EC = 2 ] ; then
  ./ttdialog --numberdialer "WildTom settings" "Change altitude correction" "XXX" $CORRECTIONABS >/tmp/setwildtompref.correctionabs
  CORRECTIONABS="`cat /tmp/setwildtompref.correctionabs`"
  if [ "$CORRECTIONABS" != "" ]; then
    CHANGED=yes
  fi
  rm /tmp/setwildtompref.correctionabs
fi
if [ $EC = 3 ] ; then
  CHANGED=yes
  CORRECTIONSIGN="$OTHERCORRECTIONSIGN"
fi
if [ $EC = 4 ] ; then
  CHANGED=yes
  COORDSYS="$OTHERCOORD"
fi
if [ "$CHANGED" = "yes" ]; then
  ttdialog --infobox "WildTom settings" "Saving new settings\METRICS=$METRICS\CORRECTIONSIGN=$CORRECTIONSIGN\CORRECTIONABS=$CORRECTIONABS"
  echo "#" >wildtompref
  echo "# wildtom preferences" >>wildtompref
  echo "# metric (M) or british (B) units" >>wildtompref
  echo "METRICS=$METRICS" >>wildtompref
  echo "# altitude correction (in meters)" >>wildtompref
  echo "CORRECTIONSIGN='$CORRECTIONSIGN'" >>wildtompref
  echo "CORRECTIONABS=$CORRECTIONABS" >>wildtompref
  echo "COORDSYS=$COORDSYS" >>wildtompref
  ttdialog --msgbox "WildTom settings" "Saved new settings\METRICS=$METRICS\CORRECTIONSIGN=$CORRECTIONSIGN\CORRECTIONABS=$CORRECTIONABS\COORDSYS=$COORDSYS"
  sleep 2
fi
) >/mnt/sdcard/wildtom/setwildtompref.log 2>/mnt/sdcard/wildtom/setwildtompref.err
